<?php
#############################################################
# Project:      bCounter                                    #
# File:         details_regions_humans.php                  #
# Decription:   statistics of regions visitors came from
#                                                           #
# Copyright (c) Alexander Bondar (http://bondar.de/)        #
#############################################################

    $strTitle .= ' | Details | Herkunft Besucher';

    $strDivBody .= '<h2>Diagramm</h2>';
    $strDivBody .= '<div class="table">';
    $strDivBody .= '<img src="./'.$bCounter->get_graph_name( "regions_humans" ).'" width="800" height="300" alt="Herkunft Besucher" />';
    $strDivBody .= '</div>';

    $strDivBody .= '<h2>Charts</h2>';

    $strSQLstring = "SELECT count(*) FROM ".$bCounter_dbPrefix."visits WHERE type='human'";
    $iBesucherGesamt = mysql_result( $bCounterDB->query($strSQLstring), 0, 0 );
    $strSQLstring = "SELECT alpha2, count(alpha2) AS anzahl
                     FROM ".$bCounter_dbPrefix."visits
                     WHERE type='human'
                     GROUP BY alpha2
                     ORDER BY anzahl DESC, alpha2";
    $SQLresult_all = $bCounterDB->query($strSQLstring);

    $strDivBody .= '<table>'."\n";
    $strDivBody .= '<tr><th>#</th><th>Land</th><th>Anzahl</th><th>Anteil</th></tr>'."\n";
    for ( $i = 0; $i < mysql_num_rows($SQLresult_all); $i++ ) {
        $strAlpha2   = strtolower(mysql_result($SQLresult_all, $i, "alpha2"));
        $iBesucher   = mysql_result($SQLresult_all, $i, "anzahl");
        $strDivBody .= '<tr>'."\n";
        $strDivBody .= '<td class="right">'.($i+1).'.</td>'."\n";
        $strDivBody .= '<td><img src="./img/alpha2/'.$strAlpha2.'.png" width="16" height="11" alt="" /> '.$arrAlpha2name[$strAlpha2].'</td>'."\n";
        $strDivBody .= '<td class="right">'.zahl($iBesucher).'</td>'."\n";
        $strDivBody .= '<td class="right">'.zahl(100*$iBesucher/$iBesucherGesamt, 2).'%</td>'."\n";
        $strDivBody .= '</tr>'."\n";
    }
    $strDivBody .= '<tr>'."\n";
    $strDivBody .= '<td></td>'."\n";
    $strDivBody .= '<td class="right"><i>'.mysql_num_rows($SQLresult_all).' gesamt</i></td>'."\n";
    $strDivBody .= '<td class="right">'.zahl($iBesucherGesamt).'</td>'."\n";
    $strDivBody .= '<td class="right"></td>'."\n";
    $strDivBody .= '</tr>'."\n";
    $strDivBody .= '</table>'."\n";
?>